---
layout: docs
page_title: 'Commands: service'
description: |
  The service command is used to interact with the service API.
---

# Command: service

The `service` command is used to interact with the service API.

~> Service commands are new in Nomad 1.3.

## Usage

Usage: `nomad service <subcommand> [options]`

Run `nomad service <subcommand> -h` for help on that subcommand. The following
subcommands are available:

- [`service delete`][servicedelete] - Deregister a registered service
- [`service info`][serviceinfo] - Display an individual Nomad service registration
- [`service list`][servicelist] - Display all registered Nomad services

[servicedelete]: /nomad/docs/commands/service/delete
[serviceinfo]: /nomad/docs/commands/service/info
[servicelist]: /nomad/docs/commands/service/list
